import { ToadScheduler, SimpleIntervalJob, Task } from 'toad-scheduler'
import notifier from './notifier.js'
import moment from 'moment'

export default {
    startSchedule: (func) => {
        const scheduler = new ToadScheduler()
        const task = new Task('simple task', () => { notifier.sendNotification('\n\nServiço de cacheamento automático iniciando ' + moment().format('HH:mm:ss')); func(true) })
        const job = new SimpleIntervalJob({ minutes: 45 }, task)

        scheduler.addSimpleIntervalJob(job)
        // when stopping your app
        // scheduler.stop()
    }
}
