import fs from 'fs'
import moment from 'moment'
import {resolve} from 'path'

export default {
    log: function (toLog, skipConsole = false) {
        fs.mkdirSync('./logs', { recursive: true, mode: '0777' })
        let fullPath = resolve(`./logs/${moment().format('yyyyMMDD')}.log`)
        let message = '\n' + moment().format('yyy|MM|DD - HH:mm:ss') + ' ' + toLog
        fs.appendFileSync(fullPath, message, {flag: 'a'}, (err) => console.log(err))
        if (!skipConsole) {
            console.log(toLog)
        }
    }
}
