'use strict'

module.exports = {
    VERSION: '"1.6.8"',
    minVersionSupported: '"3.5.0"',
    NODE_ENV: '"production"',
    RESPECT_EXPIRATION_CONFIG: false,
    VUE_APP_BASE_URI: '"backend/service/index.php"',
    BACKADRESS: '"./static/"',
    imageList: [
        {
            id: '"espera"',
            label: '"Imagem tela de espera"',
            size: '"(1080 x 1920)"'
        },
        {
            id: '"logo"',
            label: '"Logo"',
            size: '"(400 x 150)"'
        },
        {
            id: '"noImage"',
            label: '"Produtos sem foto"',
            size: '"(500 x 500)"'
        },
        {
            id: '"pager"',
            label: '"Instruções pager"',
            size: '"(1080 x 1920)"'
        },
        {
            id: '"balancascreen"',
            label: '"Instruções Balança"',
            size: '"(1080 x 1920)"'
        },
        {
            id: '"tapscreen"',
            label: '"Instruções TAP"',
            size: '"(1080 x 1920)"'
        },
        {
            id: '"maquininha"',
            label: '"Instruções da maquininha"',
            size: '"(800 x 1000)"'
        },
        {
            id: '"impressora"',
            label: '"Instruções da impressora"',
            size: '"(800 x 1000)"'
        },
        {
            id: '"erroImpressora"',
            label: '"Erro de impressora"',
            size: '"(1080 x 1920)"'
        },
        {
            id: '"erroSalvarVenda"',
            label: '"Erro ao salvar venda"',
            size: '"(1080 x 1920)"'
        },
        {
            id: '"erroTEF"',
            label: '"Erro de Pinpad"',
            size: '"(1080 x 1920)"'
        },
        {
            id: '"erroPinpad"',
            label: '"Erro Pinpad 2"',
            size: '"(1080 x 1920)"'
        }
    ],
    pagamento: [
        {
            DSBUTTON: '"Débito Dev (Fake)"',
            IDTIPORECE: '"H"',
            CDTIPORECE: '"016"',
            NMTIPORECE: '"DEBITO"'
        }
        /* {
            DSBUTTON: '"DINHEIRO"',
            IDTIPORECE: '"4"',
            CDTIPORECE: '"001"',
            NMTIPORECE: '"DINHEIRO"'
        } */
    ]
}
