import Vue from 'vue'
import Router from 'vue-router'
import Login from '@/pages/Login'
import Config from '@/pages/Config'
import WaitScreen from '@/pages/WaitScreen'
import Home from '@/pages/Home'
import ProductItem from '@/pages/ProductItem'
import Checkout from '@/pages/Checkout'
import Payment from '@/pages/Payment'
import Pager from '@/pages/Pager'
import ErrorScreen from '@/pages/ErrorScreen'

Vue.use(Router)

export default new Router({
    routes: [
        {
            path: '/',
            name: 'WaitScreen',
            component: WaitScreen
        },
        {
            path: '/home',
            name: 'Home',
            component: Home
        },
        {
            path: '/productitem',
            name: 'ProductItem',
            component: ProductItem
        },
        {
            path: '/checkout',
            name: 'Checkout',
            component: Checkout
        },
        {
            path: '/pager',
            name: 'Pager',
            component: Pager
        },
        {
            path: '/payment',
            name: 'Payment',
            component: Payment
        },
        {
            path: '/login',
            name: 'Login',
            component: Login
        },
        {
            path: '/config',
            name: 'Config',
            component: Config
        },
        {
            path: '/error',
            name: 'ErrorScreen',
            component: ErrorScreen
        }
    ]
})
